<template>
  <div ref="resultsScreen" id="results-screen" class="container">
      <h2>Results</h2>
      <span class="results-score">Score: </span>
      <span class="results-score">{{ score }}</span>
      <div  class="result-question" v-for="question in questions" :key="question.question">
        <strong class="result-question" v-html="question.question"></strong>
        <AnswerBox class="answer-box" 
          v-for="answer in question.answers" 
          :key="answer"
          :answer="answer"
          :correctAnswer="question.correct_answer"
          :userAnswer="question.user_answer"
          v-html="answer"/>
      </div>
  </div>
</template>

<script>
import AnswerBox from './AnswerBox';
export default {
  name: 'ResultsScreen',
  components: {
    AnswerBox
  },
  props: ['questions', 'score'],
  data() {
    return {
      questionIndex: 1
    }
  }
}
</script>

<style>

</style>